Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.portable
Interface Delegate

public interface Delegate

The Delegate interface provides the ORB vendor specific implemenation of PortableServer::Servant

Method Summary
`POA` | `default_POA(Servant self)`
`Object` | `get_interface_def(Servant self)`
`boolean` | `is_a(Servant self, java.lang.String repository_id)`
`boolean` | `non_existent(Servant self)`
`byte[]` | `object_id(Servant self)`
`ORB` | `orb(Servant self)`
`POA` | `poa(Servant self)`
`Object` | `this_object(Servant self)`

Method Detail

### orb

    public ORB orb(Servant self)

### this_object

    public Object this_object(Servant self)

### poa

    public POA poa(Servant self)

### object_id

    public byte[] object_id(Servant self)

### default_POA

    public POA default_POA(Servant self)

### is_a

    public boolean is_a(Servant self,
                        java.lang.String repository_id)

### non_existent

    public boolean non_existent(Servant self)

### get_interface_def

    public Object get_interface_def(Servant self)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD